Name:           libsieve
Version:        2.2.5
Release:        1AX%{?dist}%{?repotag:.%{repotag}}
Summary:        A library for parsing, sorting and filtering your mail
Distribution:	Asianux Server 3.0

Group:          System Environment/Libraries
# License says LGPL, but source is a mix of LGPL and GPL, so we must use the
# more restrictive GPL tag for the license
License:        GPL
URL:            http://libsieve.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description 
libSieve provides a library to interpret Sieve scripts, and to execute those
scripts over a given set of messages. The return codes from the libSieve
functions let your program know how to handle the message, and then it's up to
you to make it so. libSieve makes no attempt to have knowledge of how SMTP,
IMAP, or anything else work; just how to parse and deal with a buffer full of
emails. The rest is up to you!

%prep 
%setup -q

%build 
cd src

# CFLAGS are not properly passed, fix it
%{__sed} -i.cflags \
	 -e 's|^\(CFLAGS = -Wall\)|\1 @CFLAGS@|' \
	 `find . -name Makefile -or -name Makefile.in`

%configure 
make %{?_smp_mflags}


%install 
rm -rf $RPM_BUILD_ROOT
cd src && make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"
rm -f $RPM_BUILD_ROOT/%{_libdir}/*\.{a,la}


%clean 
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig 

%files
%defattr(-,root,root,-) 
%{_libdir}/libsieve.so.*
%doc AUTHORS COPYING NEWS README

%package devel
Summary: A library for parsing, sorting and filtering your mail

Group: Development/Libraries

Requires: libsieve = %{version}-%{release}

%description devel
libSieve provides a library to interpret Sieve scripts, and to execute those
scripts over a given set of messages. The return codes from the libSieve
functions let your program know how to handle the message, and then it's up to
you to make it so. libSieve makes no attempt to have knowledge of how SMTP,
IMAP, or anything else work; just how to parse and deal with a buffer full of
emails. The rest is up to you!

These are the development libraries.

%files devel
%defattr(-,root,root,-) 
%{_libdir}/*.so
%{_includedir}/*

%changelog 
* Tue Feb  6 2007 Keith Hopkins <keith.hopkins@asianux.com> - 2.2.5-1AX
- integrate with Asianux 3.0
- update to 2.2.5

* Mon Jan 29 2007 Bernard Johnson <bjohnson@symetrix.com> - 2.2.4-2
- add note regarding why license tag is GPL
- sed surgery on Makefile.in files so that CFLAGS is passed properly

* Sun Jan 28 2007 Bernard Johnson <bjohnson@symetrix.com> - 2.2.4-1
- 2.2.4
- change license to GPL based on https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=216723#c11
- install files preserving timestamps

* Sat Jan 27 2007 Bernard Johnson <bjohnson@symetrix.com> - 2.1.13-4
- add fully versioned dependency on main package for -devel
- remove .a library from -devel
- do not call autoconf, use configure file
- direct download url for source0
- remove buildrequires for autoconf and m4

* Mon Dec 11 2006 Bernard Johnson <bjohnson@symetrix.com> - 2.1.13-3
- added repotag for anyone who may want to use it
- move ldconfig calls to post and postun with -p
- minor spec file cleanups

* Sat Nov 25 2006 Bernard Johnson <bjohnson@symetrix.com> - 2.1.13-2
- bump release to -2
- move .so to -devel
- change %%post command to avoid fork of a shell interpreter

* Sat Nov 18 2006 Bernard Johnson <bjohnson@symetrix.com> - 2.1.13-1.1.sc
- start with fedora extras template for spec file

* Wed Oct 11 2006 Bernard Johnson <bjohnson@symetrix.com> - 2.1.13-1.sc
— Initial package
